# ACE_RMCast::In_Element Struct Reference

`#include <Stack.h>`

Inheritance diagram for ACE_RMCast::In_Element:

[legend]
Collaboration diagram for ACE_RMCast::In_Element:

[legend]
List of all members.

## Public Member Functions

virtual | ~In_Element ()
| In_Element ()
virtual void | in_stop ()
virtual void | in_start (In_Element *in)
virtual void | recv (Message_ptr m)

## Protected Attributes

In_Element * | in_

## Constructor & Destructor Documentation

ACE_RMCast::In_Element::~In_Element | ( |  | ) | `[virtual]`

ACE_RMCast::In_Element::In_Element | ( |  | ) |

## Member Function Documentation

void ACE_RMCast::In_Element::in_start | ( | In_Element * | in | ) | `[virtual]`

| Reimplemented in ACE_RMCast::Acknowledge, and ACE_RMCast::Link.

void ACE_RMCast::In_Element::in_stop | ( |  | ) | `[virtual]`

| Reimplemented in ACE_RMCast::Link.

void ACE_RMCast::In_Element::recv | ( | Message_ptr | m | ) | `[virtual]`

| Reimplemented in ACE_RMCast::Acknowledge, ACE_RMCast::Flow, ACE_RMCast::Link, ACE_RMCast::Reassemble, ACE_RMCast::Retransmit, and ACE_RMCast::Socket_Impl.

## Member Data Documentation

In_Element* ACE_RMCast::In_Element::in_`[protected]`

The documentation for this struct was generated from the following files:

- Stack.h
- Stack.cpp